Changelog
[1.17e]
-Added all 10 pointed dripstone textures, with an additional 10 random variants and the associated item icon.
-Added textures, large, vertical, and random CTM for dripstone blocks with unique tops, sides, and bottoms.
-Added textures and large CTM for powdered snow and texture for the bucket that places it.
-Added textures and random CTM for deepslate tiles and their cracked variant.
-Added textures and large CTM for rooted dirt. (Darkened the roots slightly based on feedback.)
-Added textures and random CTM for hanging roots.
-Added textures for tinted glass.
-Altered all copper blocks to now have some oxidisation in the cracks to better distinguish their edges.
-Altered powdered snow block to have internal textures better blend in with the fog effect.
-Altered dripleaf models slightly in prep for future.
-Altered existing birch door texture to avoid issues with POM and its version of a "doorknob."
-Altered model for tinted glass to make use of some special optical effects.
-Altered grass overlay CTM to extend to certain new naturally-generating blocks from 1.17. (quick fix)
-Fixed and optimized the netherite blocks, which were only using 3 our of the 4 intended random textures.
-Fixed vertical tiling for jungle fenceposts.
-Fixed blockstate for rooted dirt to conform to existing dirt behavior.
-Fixed a bug where observer models created z-fighting with end rods.
-Fixed a bug with the chain and hanging lantern models that caused the textures to not line up at certain angles.
-Fixed a transparency issue that bugged out slime blocks with shaders.
---Shader Support---

-Updated BSL properties for BSL_v8.1.01.1d
-Added POM, normals, and specular maps for dripstone blocks.
-Added POM, normals, and specular maps for lonestone textures.
-Added POM, normals, and specular maps for both forms of daylight detectors.
-Added POM, normals, and specular maps for all 4 slime block textures.
-Added normals and specular maps for all 20 pointed dripstone textures.
-Added normals and specular maps for tinted glass.
-Added normals and specular maps for all 16 types of glazed terracotta.
-Added metallic leafing/details to brown, light gray, white, and purple glazed terracotta.
-Additional tweaks to improve the 'glazed' effect on glazed terracotta.
-Added phosphorescent effect to certain cyan-colored glazes used on light gray, cyan and orange glazed terracotta. 
-Added normals and specular maps for both types of snow, the powdered snow bucket and snowy grass blocks. (They sparkle!)
-Added SSS maps for hanging roots.
-Added POM maps for all 8 door and trapdoor types.
-Added SSS maps for the 6 door and trapdoor types that can benefit from it.
-Reworked existing specular maps to dull the shine in crevices of all copper block types.


[1.17d]
-Added textures and Compact+Random CTM support for glow lichen
-Added textures and large CTM support for tuff.
-Added Random CTM + animated art for normal, untarnished copper blocks and cut/stairs/slabs.
-Added Random CTM art for all remaining standard copper blocks, including cut/stairs/slabs.
-Added textures for lightning rod.
-Added unique art for all waxed variants of supported copper blocks.
-Added edge oxidization to the following iron items to account for added or modified shader support: Bars, All block CTM tiles, doors, trapdoors.
-Added item textures for honey bottles and honeycombs. (So you can wax those copper blocks without looking as silly. :P)
-Reformatted iron block CTM to use a few less textures than before.
-Tweaked giant mushroom stems and insides to better work with shader maps.
-Tweaked existing glow lichen model to work with CTM.
-Fixed a scaling issue with beetroot seeds.
-Fixed a bug with iron block CTM.
-Fixed a bug with the alpha rendering on stonecutter blades.
---Shader Support---
-Added full shader map support for all newly added copper blocks and their waxed variants.
-Added shader map support for lightning rods.
-Added full CTM shader map support for Iron blocks.
-Added or improved shader map support for iron bars, pressure plates, doors and trapdoors.
-Added shader map support for lapis lazuli blocks.
-Added shader map support for emerald blocks
-Added shader map support for gold blocks.
-Added shader map support for bells.
-Added shader map support for both states of sponges.
-Added shader map support for all 4 giant mushroom blocks (red, brown, stems, inside).
-Added animated shader map support for stonecutter blade.
-Retweaked gold properties on existing powered rails to be less plastic-looking.
-Updated shader presets to support the official BSL release: BSL_v8.1, as well as the experimental builds: BSL_v8.1.01 and BSL_v8.1.01.1d (recommended)

[1.17c]
-Added custom bee model and bee textures that support new and vanilla models.
(for vanilla bee models delete bee.jem from ...\assets\minecraft\optifine\cem)
-Added all the remaining cat textures + some alts. (17 total cat variants)
-Added cat collar textures.
-Added animated Elytra textures and item icons.
-Added textures for honey and honeycomb blocks.
-Added custom model for honey block.
-Fixed an issue with missing emissive maps for structure blocks.
---Shader Support---
-Added shader maps with new models and held item art for all rails.
-Added shader maps for all amethyst blocks and items.
-Added shader maps for bee nests.
-Added shader support for iron trapdoors, bars and chains.
-Added SSS and smoothness to bee wings and pollen sacs.
-Added SSS shader support for birch doors and trapdoors.
-Added SSS and emissive support to warped and crimson fungus.
-Reformatted sea pickle texture to use new shader maps.
-Added textures and shader maps for honey and honeycomb blocks.
-Added shader maps for glass block and its CTM. (stained glass to come later)
-Added shader maps for all three lantern types.
-Added shader maps for various redstone-related blocks (and some placeholder normals for rails).
-Added Shader-based emission to beacon beams.
-Added shader map support for elytra and item icons to include emissive and SSS effects.
-Added updated shader config file (1SEP) for BSL dev version v8.1.27d-v8.1.30d https://discord.com/invite/ZJd7jjA
-Added placeholder SSS maps for leaves and moss to re-enable SSS for them with current shader presets.

[1.17b]
-Added all remaining glazed terracotta blocks, three of which will have metallic leafing when shaders are implemented.
-Added large CTM textures for all living and dead coral blocks.
-Added random CTM for all living and dead coral and coral fans with 3 variants each (60 total).
-Added large CTM for all colors of concrete blocks with unique sides and tops that vary in texture depending on how "painted-on" the color would be in reality.
-Designed gray and light gray concrete to better match with stone and diorite respectively for stairs and slabs that work well with them.
-Added glowing ink sac that I forgot to include in the previous update.
-Restored Iron Golem model for 1.17. (users on 1.16 will need to navigate to assets\minecraft\optifine\cem, delete 'iron_golem.jem' and remove '1.16' from 'iron_golem1.16.jem')
-Temporarily decreased brightness of glowmap on warped signs and item icons with their new rendering, until shader maps are implemented.
-Fixed a CTM tile issue with glass blocks. For real this time!
-Fixed some CTM issues with white, light blue, pink and purple stained glass blocks. 
-Fixed GUI issue with the game mode switcher after its format was changed from 1.16 to 1.17. Should still be mostly backwards compatible.
-Fixed an issue with the glow ink sac model lacking depth.
-Fixed an issue with some potion particle colors not loading properly.
-Fixed an issue with incorrect weight count for a couple of the dead bush categories.
-Temporary fix for an issue with non-ASCII characters being incorrectly displayed by Optifine.


[1.17a]
-Added animated textures with random and large CTM support for all amethyst-related blocks.
-Added random textures for smooth deepslate.
-Added random textures for moss blocks/carpet.
-Added textures and large CTM support for smooth basalt.
-Added textures and large CTM support for calcite.
-Added texture for cobbled deepslate.
-Added a bunch of properties files to enable vanilla placement of deepslate--it may now be placed at any angle.
-Added new random texture pools for dead bush art with appropriate assignments to specific biomes that they best fit in.
-Added item icon and block art for raw copper.
-Added animated item icon for amethyst shards.
-Added animated item icons and block art for raw iron and gold.
-Changed default held dead bush icon to ne biome-netral dead bush.
-Added item icon and model textures for spyglass.
-Recalibrated and redesigned spyglass reticle for more intuitive rangefinding.**
-Re-added proper potion particle colors.
-Further expanded grass overlay CTM to support some of the newer blocks.
-More behind-the-scenes optimization of CTM to reduce file count/size.
-Expanded stone biome palettes to include some new stone types.
-Fixed mycelium block animation to include a bluish-green frame that was previously not being used.
-Fixed a CTM tile issue with glass blocks.
-Fixed grass texture to show the double leaf pattern much less frequently as originally intended.
-Fixed a previously fixed issue with grass and mismatched palettes. Again...
-Fixed a bug where copper ore was not properly affected by biome palettes.

**to ensure proper functioning of the rangefinder ensure you have these settings in Options:
-Options>FOV:90
-Options>Video Settings>Dynamic FOV:ON

[1.17a-preview]
-Changed pack format to 1.17, SHOULD STILL WORK WITH 1.16
-Added new stone and deepslate ores, including any animated versions and custom models for deepslate ores.
-Added textures and large CTM support for deepslate.
-Added GUI effects for frozen status, including overlay and frozen heart indicators.
-Added GUI effect for spyglass including a rangefinder feature*:
	How to use the rangefinding:
	1-Aim your crosshair at the base of a distant block or center of a humanoid-sized enemy/player (2m)
	2-If a block fits between the crosshair and the red-lines, or a humanoid fits between the 2 red lines they are 64m away.
	3-The other grades above and below the red lines are in powers of 2:
		(The two larger lines above or outside red are at 32m and 16m respectively
		The two smaller lines below or inside red are 128m and 256m respectively.)
	4-Using this you can guess a rough approximate of how far objects are.
-Added textures, model tweaks and item icons for all lit and unlit candles.
-Added textures and emissive for glowing item frames.
-Slightly tweaked all existing emerald forms to be slightly bluer to look more emerald than peridot.
-Slightly decreased size of iron nuggets in preparation for raw ore icons (not yet available).
-Decreased opacity of title edition text.
-Fixed 1.17 vanilla blockstates that randomized angles of certain blocks that didn't need it.
-Fixed golden hearts in Hardcore mode.
-Fixed old grass color palette quick fix.
-Minor tweaks to fix some issues with seagrass not spawning properly in all ocean biomes.
-Extended grass path from 1.16 to dirt path support for 1.17.
-Extended squid and random squid art to support 1.17's directory change.
-Temporarily disabled custom Iron Golem model, until a solution to repair it is settled upon.

*note: Dynamic FOV must be on in Video Settings for the spyglass to function. Calibration may or may not function correctly due to how Optifine affects FOV differently than vanilla. More testing is required before the rangefinder can be confirmed to work as intended.

[1.16.4g]
-Added textures and item icons for all stages/forms of sweet berry bushes.
-Added textures and item icons for all stages/forms of beetroot, including processed forms.
-Added temporary leaf block textures & minor model edit, until I can fully do leaf blocks justice.
-Added entity textures and item icon for bells.
-Added random CTM textures for all concrete powders.
-Added textures for all structure blocks and jigsaw blocks.
-Added textures, model edit and biome-based palette support for frosted ice. (Don't eat the green ice in swamps.)
-Added art and random CTM, item icons and custom art for all forms of kelp (including dried), and added custom kelp canopies.
-Added art, random CTM, item icons and custom models for short and tall seagrass.
-Added random region-specific emergent plants to seagrass (Such as swamp/river cattails and ocean seaweed species!).
-Added bioluminescent microorganism colonies to some deep ocean plants.
-Added item icon, textures, custom models and tweaks for submerged and surfaced sea pickles.
-Added item icons for raw and cooked mutton.
-Added item icon for missing music disc.
-Tweaked lilypad model and textures to add a stem and randomized flowers.
-Tweaked crop models and CTM to reduce the repeating, duplicate texture effect.
-Tweaked potato crops to include a little browning in the stems to better balance out the look of all crops
-Tweaked cobweb edge anti-aliasing to be a bit brighter.
-Removed cobweb random CTM and replaced with model-based randomization.
-Removed biome-based lilypad colors due to recent additions to their model that were incompatible.
-Reformatted signifigant chunk of CTM files to reduce filesize, file count and VRAM usage. (Still more to do, will be a requirement for shader map support.)
-Fixed brightness of the glowy bits in the enderchest.
-Fixed an issue with unused progress bar pixels on all three furnace GUI's.
-Fixed a CTM tiling issue with glass blocks. (For real this time!)
-Purged Patron-Particular Panic Pete Placeholder. :P

[1.16.4f]
-Added Villager Base art. (29 Total)
-Added Villager Biome-based art for all but the incredibly rare swamp villagers. (52 Total)
-Added Villager Profession art. (49 Total)
-Created realistic population distribution for villagers: Villager and profession art have different chances to spawn in different biomes in ways that make sense to their appearance and the environment their traits may be best suited to. Plains are the only biome where mostly all types have an equal chance to spawn.
-Tweaked Villager model proportions slightly.
-Tweaked CTM sand overlays to be a bit less ordered, and wavy.
-Fixed a CTM tiling issue with glass blocks.
-Fixed an issue with CTM sand overlays and stairs.
-Fixed an issue with stray green pixels on diamond tools.
-Fixed Z-fighting issue with comparator model. 
-Fixed transparency issue with cauldrons being rendered without shaders.

[1.16.4e]
-Included customized shaders.properties file in the shader presets. To use open BSL_v8.0.01.01d.zip, and replace existing shaders.properties.
-Added textures for the following utility blocks: Smithing Tables, Fletching Tables, Cartography Tables, Lecterns, Looms, Lodestones, Respawn Anchors and Observers.
-Added animated textures for the following furnaces: Blast Furnace, Smoker.
-Added animated textures for the following ingots: netherite and copper (while I was at it).
-Added animated textures for netherite blocks.
-Added animated textures and degradation states for all netherite tools and weapons.
-Added model textures and item icon for armor stands.
-Added textures and item icons for all netherite armor.
-Added textures for barrels and composters.
-Added textures, CTM support, and new model for scaffolding.
-Added textures and some CTM support for bee hives and nests.
-Added textures and CTM support for quartz bricks.
-Added overlay textures for sand, red sand and clay.
-Added textures and item icons for ancient debris/netherite scrap.
-Added missing item icons for various neglected old materials.
-Added animated item icon for prismarine crystals.
-Added item icons for prismarine shards and iron nuggets.
-Updated Pumpkin models to include a bottom texture.
-Updated existing TNT to match the new barrel art.
-Various model tweaks to improve texture mapping and geometry for new blocks.
-Expanded overlay CTM for several blocks that support it.
-Tweaked existing animations to reduce filesize for 25 blocks and 15 items.
-Tweaked opacity of rain to be more visible.
-Tweaked prismarine brick overlay to apply to glass and some natural light-emitting blocks.
-Tweaked grass CTM overlay to not overlap certain crafted blocks with defined edges.
-Increased gravel CTM overlay support of other blocks (more to come as I fill out the others.)
-Tweaked glass blocks to be slightly more translucent and higher saturation.
-Optimized Crafting Table to use fewer CTM textures.
-Mild tweaks to increase brightness of the Sun.
-Fixed a tiling issue with brick CTM and brick stairs/slabs.
-Fixed the leather helmet item icon to match the model.
-Fixed animation for ender chests and added emissive elements.
-Fixed cauldron model to use full texture like in previous versions.
-Fixed various bad reference warnings in Optifine logs.
-Fixed an issue with dispensers having reddish mouth areas that didn't match the black eye areas.
-Fixed a misalignment issue with the storage area of the dispenser GUI.

[1.16.4d_HOTFIX]
-Fixed a bug where Grass was not colored properly.
-Fixed a bug where Lapis Lazuli Ore was not receiving the proper biome-based tint.

[1.16.4d]
-Updated the Readme to include basic instructions for using the preferred shaders (which have also been updated).
-Greatly expanded font support to support many Latin-based and now some Cyrillic-based languages.*
-Slight overhaul to Sun/Skies to increase shader sun angle compatibility--Mostly amounts to removal of dynamic time-based halo.
-Animated the Sun's edges and brightened the Sun overall to be more realistic.
-Added 84 properties files to work around Optifine's incompetence and fix stripped wood blocks CTM.
-Added grass CTM overlay support to MANY blocks. (More overlay for other common blocks to come!)
-Added dark prismarine and gave both crafted prismarine types CTM overlay support.
-Added sapling art for acacia, dark oak and bamboo.
-Added art and tweaked model for bamboo trees.
-Made shulkers and some purpur blocks have glowy bits, because why not!
-Added art and random CTM support for all 12 small flower species.
-Added art, a custom model and random CTM support for all 4 large flower species.
-Added new art and model for large fern.
-Added animated art for Wither Rose.
-Added bamboo item icon.
-Added some emoji support for the Minecraft-Specific emojis.
-Tweaked textures for existing grass, ferns and lilypads to have slightly more color depth.
-Tweaked lilypads to hover less above the water level.
-Tweaked sea lanterns in response to Prismarine CTM overlay.
-Small tweak to melons to release more appropriate particles.
-Slightly expanded warped nylium and nether wart behavior to be compatible with end stone.
-Fixed the hopper models to correctly use the old top textures, and extended the funnel tip to better connect to other blocks.
-Fixed Optifine's error where the grass color in swamps was using the hard-coded vanilla palette.
-Fixed stray pixels on diamond hoe and ender eye item icons.

*Your language or certain characters of preference not supported? Hit me up on Discord to let me know! https://discord.gg/2y8BCZwTMz

[1.16.4c]
-Remodeled glass block to show backfaces with CTM support.
-Added CTM support for all stained glass blocks and panes.
-Slightly tweaked spruce to be a little lighter to accommodate color palette for new wood types.
-Complete revamp of jungle wood to better fit new palette and make it a bit more exotic.
-Added planks, logs, wood, fences/gates, pressure plates, buttons, doors, and signs for all wood types that previously didn't have them. (This includes a TON of CTM stuff that'd be too numerous to mention!)
-Added new bed textures, half of which use patterns and half of which do not for variety and compatibility with themed builds.
-Added CTM support for the 3 log types that can generate naturally as large trunks.
-Added overlay CTM for logs when stripped by an axe (only works on vertical logs at the moment).
-Improved biome diversity for oak and birch logs in swamp and forest biomes respectively. (Moss and random fungus generation)
-Made warped buttons and warped sign text glow in the dark.
-Made witch huts that generate in swamps more dilapidated.
-Made swamp water a little browner to better blend with the new textures there.
-Animated the nether stem tops to better fit the crimson and warped forest themes used for other textures in those biomes.
-Added animated texture for stonecutter.
-Added all red sandstone blocks with CTM support apart from chiseled sandstone. (Coming soon!)
-Added item icons for new signs and doors.
-Added an item/held icon for nether sprouts.
-Adapted fire animation to fit campfires. (Campfire log textures--and possibly model--are WIP)
-Tweaked the fence and gate models to make better use of how the textures are applied to them.
-Tweaked vanilla lightmaps and custom color settings to allow vanilla fog colors to render in the Nether. (Only affects those not on shaders)
-Tweaked vanilla lightmaps to have a different effect for nightvision that preserves the visibility of torch light. (Again, only affects those not on shaders)
-Fixed magma cream to glow in the dark.
-Fixed a bug where the wrong item/held icons were incorrectly displayed for pink and light gray terracotta.
-Fixed a bug where wart was not correctly spreading out over red nether bricks.
-Fixed the hoglin's mane to longer be combined with the vanilla art.

[1.16.4b]
-Added textures for most blocks that generate naturally in the nether biomes. (woods pending on wood update, and netherite pending on netherite gear designs)
-Added many CTM and animated features for previously-mentioned new textures.
-Added new overlay CTM for both Nether Wart blocks, Red Nether Bricks, both Nylium blocks, and Gravel. (Works only with blocks in the Nether at the moment)
-Added full CTM support for new chiseled blocks made from Nether materials.
-Modified lantern models to add more depth and created animated textures for both lanterns.
-Added animated item icons for both lanterns.
-Simplified glass CTM complexity to reduce filesize in preparation of stained glass CTM. (not yet available)
-Simplified dispenser animation frames to reduce filesize.
-Tweaked chains slightly to account for new lantern models.
-Added custom splashes to include Patreon user shout-outs.
-Fixed a bug where redstone blocks were not emissive.
-Fixed a bug where purple wool's texture was missing.
-Added textures for targets.
-Tweaked clock emissives to flash during period when zombies start to spawn until they start to burn.
-Small tweak to Zombified Piglin to allow both ears to be rendered.
-Added 110 randomized skins for all forms of Piglins, repurposing old cameo zombie pigmen as brutes, and adding one new.
-Added skins for all forms of striders and hoglins with animated blinking on striders.
-Added item icon for Warped Fungus on a Stick.
-Included folder with my personal BSL shader presets which this texture pack will eventually fully support. Drag the text file located inside "bsl shader presets" into your "shaderpacks" folder that contains BSL_v7.2.zip, which  can be downloaded here: https://www.curseforge.com/minecraft/customization/bsl-shaders/files

[1.16.4a]
-Changed version number to align with game version number followed by alphanumeric sequence for pack only.
-Reformatted texture pack for current version (28.55% incomplete).
-Changed pack icon to reflect a new chapter in the development of the texture pack.
-Added Optifine emissive maps to many items, blocks and entities.
-Updated all important GUI elements.
-Fixed Mooshroom to use classic MCPatcher model (1 big mushroom cap on head instead of 3 small mushrooms).
-Added CTM support for several newer blocks: Bone, new ices, purpur pillars, etc.
-Adapted old BetterGlass to Optifine's much more limited support.
-Altered clay and sandstone to better fit with vanilla world generation. (Changes were a long time coming.)
-Altered default Sun texture to fix Optifine's incomplete implementation of BetterSkies.
-Complete revamp of command blocks using forelit LCD aesthetic for ease of reading at a glance.
-Added all banner/shield emblems currently available in the game.
-Manually adapted horse textures to new model and added the horse skeleton.
-Filled out newer Iron Golem textures and added custom model as a minor preview of future plans for mob models.
-Updated title screen panorama render of the classic panorama.
-Converted the clock from analog to digital. (RIP MCPatcher's amazing dynamic clock)
-Added new Enchantment effect temporarily until custom enchantments are working again in Optifine.
-Tweaked armor to have a bit more depth on helmets.
-Minor changes to various existing textures.
-A small miscellaneous selection of newer blocks and items added. (More to come!)
-Probably some other stuff I'm forgetting. Future changelogs will be more complete!


(insert the dark ages of occasional, undocumented, stealth texture pack updates and work provided for fan patches here.)


[6.0.0]
-Reformatted the texture pack (yet again) to work on the new format.
-Added all 13 textures for the legitimately-obtainable horses, donkeys, and mules.
-Added textures and icons for the three horse armors.
-Added texture for coal blocks and hay bales
-Added icons for all the new items in Minecraft 1.6.
-Added CIT custom potion art support for all legitimately-obtainable potions.
-Tweaked existing color values for potions so the effect particles better match the new art.
-Added placeholder for unique birch leaf art until I can figure out how I want to revamp oak and birch leaves.
-Reverted sponge texture back to its original look now that it's no longer needed for haybales.
-Set custom colors for horse spawn egg to better reflect the spawn.
-Updated the GUI file to include the new horse health and jump meter.
-Expanded chiseled sandstone's CTM to include vertically-oriented cartouches.
-Expanded birch plank blocks to have full CTM support.
-Added CTM textures for all of the new hardened clay blocks.
-Added custom lead and fishing line textures.
-Tweaked Better Skies so that the distant ambient clouds move across the skies gradually.
-Tweaked CTM for Bricks, Iron Blocks, and Smooth Sandstone to use the inner seam method for corners.
-Tweaked and expanded biome-based custom colors slightly.
-Added very limited support for the 'ß' Unicode character.
-Removed Unicode kana support as it no longer fit the look of the western font and looked messy with kanji.
-Added Custom Items (CIT) support for degradation of shovels, pickaxes, axes, and swords of all materials.
-Added CIT support for degradation of carrots on a stick, flint and steel, and shears.
-Added six unique enchantment effects with CIT -- many of which are fully animated (More to come later).
-Disabled the generic enchantment effect temporarily so the new potion animations are more visible.
-Moved unique top and bottom textures from wool blocks to carpet.
-Retained unique wool block bottom texture for white wool block as it works well for ceilings.
-Added on state for detector rails.
-Animated golden apple.
-Repacked the zip to fix any potential corruption on some machines.
-Removed version from the filename of the pack. Current version will be listed at the top of the changelog.
-Tweaked legal.txt to reflect format changes. It's now easier to know which files can't be redistributed.
-Various minor tweaks.


[5.0.0]
-Reformatted texture pack to work on the new format.
-Optimized filesize as much as possible and did some major cleaning of redundant files.
-Completely rebuilt CTM structuring from scratch to be more organized.
-Added textures and various CTM support for all of the new netherquartz blocks.
-Decreased hue of pre-existing netherquartz components to better match the whitish nature of blocks.
-Added item icon for TNT Minecarts.
-Designed a new clock to make use of new Custom Clock features and animation.
-Reformatted compass to make use of the new custom compass format.
-Simulated SSAO on Iron doors to make them better match iron walls with smooth lighting.
-Added wither status life meter icons.
-Various tweaks. (I'm sure there's a lot I did that I can't remember...)
-Cried profusely at the release of every single snapshot that somehow managed to mess SOMETHING up.
-Had Kahr's babies. (I promise next time I'll update the changelog AS I make changes. :P)

[4.3.4]
-Altered map colors slightly to give more of a color palette to work with.
-Added soft firework flash particle.
-Added animated textures for both netherquartz ore and mined netherquartz.
-Added animated textures for light sensors.
-Added item icon and animated texture for Comparators.
-Recreated the textures for Repeaters to better match Comparators and reflect the new analog nature of Redstone.
-Added animated textures for new redstone blocks.
-Added textures for the new trapped chests.
-Used CTM to create custom art for the two new pressure plates.
-Added nether brick item icon.
-Added GUI file for the hopper.
-Attached nightvision light maps to the Nether and End lighting palettes.
-Minor various adjustments to existing textures to match the newer ones.

[4.3.3]
-Recreated every single creeper (again) and assigned biome biome and rarity support to all 70 of them.
-Full-body animation added for one of the easter egg creeper skins.
-Added new item icons for firework rockets, firework stars, and enchanted books.
-Added fireworks particles.
-Animated the arrow/critical spark particles. (Now arrows should look like they have spin on them.)
-Remade ladders from scratch and added vertical CTM support to them.
-Moved old ladder texture to ALTERNATES.png.
-Added support files for custom compass needle.

[4.3.2]
-Added item icon for new music disc.
-Recreated jukebox and note block textures from scratch with on and off states.
	-Style remains the same but has been greatly cleaned up to match the current wood planks.
	-Without a disc, jukeboxes will better resemble their crafted materials.
	-Jukeboxes will only glow with color when a disc is inserted.
	-A spinning record will be visible on top when a disc is inserted.
	-As unique record labels cannot be applied for each disc, all discs play on the reverse side. :P
	-Note blocks have unique animated sides and a static top texture.
-Randomized Cobweb placement angles. (They should look a bit less artificial in large clusters now.)
-Adjusted Better Glass.
	-Panes and blocks have been reduced in color saturation.
	-Panes have the original glass frame for windows.
	-Blocks are now tapered and have thin, ground-down, opaque edges.
-Redesigned the healing beam for the Enderdragon.
-Added 4 new slimes and assigned biome variance to all slimes. (Knit caps now only in snow areas.)
-Brought back 5 old spider skins and assigned biome variance to all spiders. (Jungles are the best!)
-Recreated all creeper skins (50 total now) and assigned biome variance to them all.
-Repacked the zip to hopefully correct issues with Mac and Linux users being unable to decompress.
-Various minor texture tweaks.

[4.3.1]
-Added textures for repair interface.
-Added beam texture.
-Added animated texture to beacon emitter.
-Reverse-engineered and added new painting.
-Added Shading to panes to make edges of the pane clearly visible without needing a proper frame.
-Removed test pixel from glass panes.
-Added expended trade icon to the trading GUI.
-Fixed a minor issue with black pixels on one of the random tall grass textures.
-Fixed the texture size format for witches and zombie pigmen.

[4.3.0]
-Added Custom Color support for new spawn eggs, leather armor, armor dyes, and wolf collar dyes.
-Added skin for the new bats.
-Added skin for the new witch.
-Added GUI elements for the beacon block interface.
-Added animated textures for both the beacon block and Nether star.
-Redesigned the Ender Dragon crystals with animation to be more consistent with the Nether stars.
-Added item icons for all the new head blocks.
-Added item icon for the pumpkin pie.
-Redesigned the item icons for fish and cooked fish.
-Added 16 Randomobs skins for the new wither skeletons.
-Completely redesigned leather armor from scratch to make use of the new dye overlays.
-Added textures and item icons for new potatoes and carrots and the plants that grow them.
-Added animated item icon for golden carrot.
-Added textures and item icon for new flowerpots.
-Added textures and item icon for new item frames.
-Added unique art to the new wooden button.
-Added unique and animated textures (three of them!) for new command block.
-Added 10 Randomobs skins for the new zombie villagers.
-Added particles for throwable healing and damage potions.
-Added item icon for the new blank maps.
-Added support for dyeable wolf collars.
-Added skins for the new Wither mob and its two other associated model textures.
-Added wither status icon to inventory.png.
-Added custom Nightvision palette to make the effect much more realistic. 
-Added unique textures and CTM support for plain and mossy cobblestone walls.
-Added more sensible CTM support to birch slabs and stairs.
-Added BetterGlass and CTM support for glass blocks and panes. (Each behave differently.)
-Re-designed the sign art to clean it up a bit and to reflect the current look of oak planks in the pack.
-Altered the sign icon to reflect the new sign art.
-Slightly reduced the size of the painting icon and added a small hanger to match the item frame icon.
-Redesigned the look of emotion-based particles, and added particles for anger and new stock for villagers.
-Slightly altered potion colors--like Vanilla, speed potions are now sky blue, and harming potions are now purple.
-Smoothed out runic particles for enchantment tables surrounded by bookshelves.
-Added large texture support to Netherrack and slightly redesigned held texture to match.
-Extended CTM support for smooth standstone to the top and bottom of the blocks.
-Added 3 more random variants of Dead Shrubs.
-Slightly altered underside textures to chests.
-Slightly altered CTM support for bookshelves to hopefully address some of the tiling issues with the four white books.
-Fixed a bug with one of the gold bands from the Diamond helmet not lining up properly.
-Fixed the custom gate texture to align properly for stone walls.
-Fixed a minor graphical issue on the furnace GUI.
-Toned down the enchantment effect (glint.png) a bit.
-Removed mini craft interface from creative inventory.
-Removed tab shifting from creative inventory as it made no sense without the icons shifting with tabs as well.
-Desaturated rain particles.
-Various optimizations to formatting to hopefully improve performance.

[4.2.0]
-Completely redesigned the wheat texture from scratch to look less sickly and provide better cues for maturity.
-Added unique, random top textures to spruce planks that makes more physical sense. (Great for floor tiling!)
-Added unique textures for all log tops to better match the color of planks they produce
-CTM support for log tops is now only limited to jungle wood.
-Added random texture support to TNT blocks. (They can now have a variety of labels or no label at all.)
-Fixed a texture problem with the bottoms of cauldrons.


[4.1.6]
-Added support for Better Skies:
	-New, detailed star skybox--complete with galaxies and nebulae.
	-Distant ambient cloud layers for night and day.
	-New sun art with dynamic flaring effects for more realistic sunrises and sunsets.
-Moon was shrunken down a tiny bit, as there's more things in the night sky to look at now.
-Various moon phases have been given slightly more color to fit with the new, less-greyscale night skies.
-Tweaked the biome coloring of skies and fog to account for new sun effects. (The sun is brightest in deserts.)
-Altered snow golem design slightly and added randomob support to it.
-Redesigned mooshroom slightly by removing the mushrooms on the back and giving it a big mushroom cap.
-Added brown mushroom version of mooshroom.
-Adjusted the old and added new blinking animation for both mooshrooms.
-Added random texture support for red and brown mushrooms.
-Altered default brown mushroom to accomodate the new random textures for mushrooms.
-Added CTM large texture support for monster egg (Silverfish) blocks. (They now indicate burrowing.)
-Tweaked water to be SLIGHTLY more translucent.
-Altered glint.png to make the enchanted effect a bit more subtle and colorful.

[4.1.5]
-Updated the trading GUI window to accomodate trading of two items at a time.
-Added support for the new creative mode block menu.
-Added animated emerald block texture.
-Added textures for tripwire hooks and placed string.
-Added CTM support for iron blocks.
-Added CTM support for sugar cane.
-Added CTM support for obsidian which has also received a new, more realistic and less noisy look.
-Added unique fence art for both fence types and fence gates. (They're not perfect from some angles, but way better than the default.)
-Added unique top and bottom art to nether bricks.
-Added unique art to stone and wooden pressure plates now that tripwire is the camouflage way to do traps--also improves the look of tables.
-Added unique art to stone buttons to help them stand out a bit.
-Added unique tops and bottoms to all wool blocks to add some mild variety to wool blocks being used as carpeting. 
-Removed animations from iron blocks and iron doors to accomodate CTM iron blocks.
-Slightly redesigned the look of iron doors to match the new look of iron blocks. 
-Slightly darkened the item icon for sugar cane to match the new look of sugar cane.
-Updated the enchantment tables and enderchests to reflect the new look of obsidian.
-Slightly lightened the color of Nether fences to better showcase the new textures.
-Reverted to the old coloring method for nether bricks and nether brick stairs. (Fences will look weird in the inventory and hand only.)
-Removed the wood variance from half-steps and stairs made of oak planks to accomodate the new fence textures.
-Various colored blocks in the mushroom biome are now a bit more vibrantly colored than elsewhere.
-Created a proper logo for pack.png that doesn't require me to constantly update it with each version.
-Fixed the issue with biome stone coloring not being applied to emerald ore blocks.
-Moved obsolete textures from terrain.png to ALTERNATES.png
-Added a few new requested tiles to ALTERNATES.png

[4.1.4]
-Added GUI for NPC trading interface.
-Added and animated emerald ore texture.
-Added and animated emerald item icon.
-Added and animated enderchest textures.
-To make worn pumpkins less worthless, the nightvision effect has been improved with no LOS drawbacks. The creeper face will mostly be visible in extremely dark areas now.
-Added textures for the three cacao pod stages.
-Added GUI and item icons for the book and quill.
-Altered existing book item icon to accomodate the look of the new book and quill item icons.
-Added MCPatcher CTM support for end stone
-Added MCPatcher CTM support for bedrock.
-Added MCPatcher CTM support for snow.
-Added MCPatcher CTM support for ice.


[4.1.3]
-Added MCPatcher CTM support:
	-Bookshelves now have more of a variety of books when more than one are placed next to each other.
	-Circle stone blocks can now be used to construct pillars, archways, and all sorts of interesting geometric stone patterns.
	-Tops of logs will now expand to form a large smooth tree ring surface when 4 or more are connected at right angles.
	-Jungle tree logs will now be shaded dynamically based on width--other logs are unaffected for wall-building.
	-Brick walls now have corner stones.
	-Hieroglyphic sandstone blocks have more variety in how they tile and when placed alone or in groups.
	-Smooth sandstone blocks now have a completely smooth surface everywhere except their edges.
	-Light wooden planks now have CTM dynamics that allow better framing on the side with unique tops.
	-Crafting workbenches can now form desks, shelves and drawers when placed adjacent to each other.
-Added MCPatcher Random Texture support:
	-Flat grass now has much more variety with: clover patches, flowers, gopher holes, thistle, crabgrass, and leaf debris.
	-Stone slabs now have random variation that matches the new look for Smooth stone.
	-Stone blocks now have random block angles, where some blocks may jut out or sink in slightly more than others.
	-Oak, Pine, and Jungle planks now have some minor random variation to their tiling pattern.
	-Roses and yellow flowers now come in 9 various shapes and sizes each.
	-Dead bushes now come in various stages.
	-Tall grass has more variety to it now.
	-Lilypads can now face in 8 possible directions as opposed to the previous 4.
	-Watermelons have an incredibly rare chance to spawn in some locations with a creeper face.
-Added MCPatcher Repeating texture pattern support:
	-Smooth stone is now way smoother and doesn't have that weird diamond pattern in the distance.
	-Gravel tiles much less obviously and makes for more rugged-looking roads.
	-Clay is now more usable as a building material with its new variance.
	-Dirt has a lot more character and detail than ever before.
	-Sand is now slightly more granular and the dune-size has been realistically increased to tile better over large areas.
-The main font has been given a tiny bit of depth to make it look smoother and slightly more three dimensional.
-Custom sign color added.
-Decreased the view obstruction a bit when wearing the pumpkin. Nightvision effect is unchanged.
-Replaced the completely worthless sponge texture with a more useful bale of hay, due to similar properties/function.
-Modified the texture for light wooden planks to account for the new dynamics introduced by CTM. (may do the same for brick later)
-ALTERNATES.png has been updated to store any altered old versions of textures.
-Colored areas on terrain.png to water and lava colors so they work properly on mini-map mods.
-Fixed a stray pixel on the animated diamond shovel.
-Fixed the missing animated blaze texture.
-Fixed a missing snout on Pig12.png.
-Fixed a few stray pixels on inventory.png 

[4.1.2]
-Added texture support for the new plank and sandstone blocks added in 1.2.4
	(I didn't keep all the planks uniform to make them more usable. 
	Uniform planks are available in ALTERNATES.png for you purists.)
-Added proper equipment slot icons.
-Animated flame particle for torches.
-Animated both redstone wire textures to flicker mildly in a fashion similar to redstone torches.
-Added a few new tiles to ALTERNATES.png.
-Various minor texture tweaks.

[4.1.1]
-Added animation support for following mobs:
	-Tamed wolves blink.
	-Tamed Cats blink lazily.
	-The purple flames inside the endermen now flicker when their mouths are open.
	-Flames now have animated--well--flames.
	-Mooshrooms have an unusual blinking animation.
	-Chickens blink twitchily.
	-Pigs blink.
	-Cows blink lazily.
	-Sheep blink.
-The creeper face on the main title screen now has a twinkle in its eye.
-Added another male farmer to even out the sex population for Villager Randomobs.
-Replaced the underwater screen overlay with an animated version to simulate non-dynamic caustics.
	(Making underwater look MUCH more underwatery.)
-Replaced The distracting vignette image with a much more subtle 'film grain' effect.
	(To simulate the noise generated by the brain when light signals aren't being interpreted well.)
-Spore/dust particles on mycelium now come in a variety of soft rainbow colors. (Again, don't inhale!)
-Tweaked the sky and fog in the Nether and End to be slightly less dark.
-Minor tweak to a couple font colors to better match my HUD
-Fixed a bug and flipped all the pig butts right-side up again. (Thanks again, Mojang.)

[4.1]
-Added art for iron golems.
-Added (animated) art for both of the the redstone lamp states.
-Added Randomobs support for villagers. (Gay sex is now not the only way to reproduce.)
	-1 new butcher/baker added. (2 total)
	-4 new farmers/peasants added. (5 total)
	-1 new librarian added. (2 total)
	-3 new priests/nuns added. (4 total)
	-3 new smiths added. (4 total)
-Added textures for the new stone brick and sandstone blocks.
-Updated the tops and bottoms of sandstone blocks with more fitting art. (Old art has been moved to ALTERNATES.png)
-Mycelium has been animated to very gradually change color over a long period of time. (Don't inhale!)
-Particles for dust/spores have been mildly increased in size to be more visible on mycelium.
-Recreated all biome palettes from scratch to match the new format used in-game.
-Nether brick fences are now dark grey to increase their usability by mimicking wrought iron fences.
-Slightly reworked Nether bricks to adapt for the new changes made to nether brick fences. (Not a big change.)
-Tweaked jungle leaves to distinguish their color differences from oak leaves.
-Darkened cobwebs a bit to make them stand out slightly less.
-Tweaked background texture for main menus to be slightly lighter than before.
-Added custom color parameters for Ocelot spawner eggs.
-Added a few new tiles to ALTERNATES.png.
-Fixed the chicken feet yet AGAIN by flipping them. (Make up your mind already, Mojang!)
-Fixed some stray pixels on some of the headless zombies


[4.0.4]
-Added sapling art for the jungle trees.
-Added mob skins for the Ocelot and all three varieties of tamed cats.
-Added Randomobs support for Zombie Pigmen with 20 variants.
-Redid default pigman zombie Pigman to better reflect the new style of randomobs.
-Added animated and still Bottle o' Enchanting item icons.
-Fixed a bug with stray pixels on headless zombies.
-Fine tuned all standard and custom biome palettes to better accompany the jungle biome.
-Centered orientation of Blaze Powder animation to better match other item orientations.

[4.0.3]
-Added leaves and trunks for jungle trees.
-Added support for custom colors on maps and dyed sheep.
-Lightened sheep wool slightly to allow for wider ranges of applied coloring.
-Made a completely new map icon to better reflect the new colors used on maps.
-Various minor tweaks.

[4.0.2]
-Added support for custom colored spawner eggs with spots.
-Removed the animation from spawner eggs to allow for the new spotted egg format.
-Added the Language select icon on the main menu.
-Added biome palettes for sky, fog, and underwater atmospheric coloring. (Biomes are much more thematic now.)
-Added new high resolution clouds and set them to be forced to more realistic 2D-rendering.
-Tweaked the lighting a bit. (Toned down the red and saturation. It should be more faded and orange now.)
-Edited all applicable biome palettes to give the Mushroom biome more vibrant fantasy colors.
-Cleaned up the pack directory by moving all animations to the new anim folder. (Affects nothing in-game.)

[4.0.1]
-Added spawner egg item icon. Then animated it at the last moment. :P
-Fixed the ender crystal pedestals to look like bedrock. (They were not intended to have the egg texture.)
-New tiles for ALTERNATES.png.
-Added color.properties to support Custom Colors. (Potions are a bit more vibrant, Spawn egg colors make more sense.)
-Reworked the terrain palettes from scratch. (Closer to how they used to be with my pack instead of the Notch defaults.)
-Added swamp terrain palettes to support Custom Colors. (Smoother transitions, no longer look like Notch's defaults.)
-Working light palettes added for Custom Colors. (Sunsets are more dynamic and torchlight is much warmer.)
-Added biome palettes for birch leaves and pine needles. (Much more visual diversity among trees.)
-Added biome palettes for sand, gravel, and smooth stone/ores. (Most noticeable in deserts, swamps, and cold areas.)
-Increased brightness of sand and gravel to allow for better biome coloring. (Not noticeable in common biomes.)
-Added biome water colors. (Swamps are muddy, mountains have mineral springs, ice fades into water, and deeper blue oceans.)
-Darkened and desaturated reeds/sugar cane a bit.
-Lightened wheat a bit.
-Shrunk chicken egg a bit to increase the size contrast between them and the new eggs.
-Shrunk coal, flint, apples, and clay a bit to better scale with other items.
-Added color palettes for lava droplets and pumpkin/melon vine growth stages.
-Included rudimentary support for Japanese kana on Unicode. (Not integrated. Requires minecraft.jar injection.)
-Cleaned up some obsolete files, and added a properties file to the alternate font to avoid spacing errors.
-Made splash particles greyscale to adapt to the watercolorX.png (Will look funny on older versions of MCPatcher.)

[4.0]
-Texture added for the Enderdragon. Finally.
-Textures added for all new blocks introduced in 2.0
-Art added for boss health bar bar.
-Art added for the ender crystal things that heal the dragon and have no official name yet.
-Art added for the particle effects associated with the enderdragon.
-Flipped all the cow butts to be rightside up after Mojang flipped them upside down for no good reason.
-Fixed minecart wheels.
-New custom animations added:
	-Dispensers briefly come to life and glance around once in awhile.
	-Most everything involving diamonds now sparkles, including ore, blocks, and tools.
	-Some gold things and iron things sparkle as well though not as much as diamond.
	-The Eye of Ender has a fiery/glowy effect normally and a watery/glowy effect when placed in a portal.
	-All liquid in buckets and bottles moves around or glows the way you'd expect it to.
	-Glowstone dust pulses to match the actual glowstone blocks.
	-The ghast's flaming projectile spins as it flies at you.
	-The Blaze rod and all things associated with it look really hot.
	-Ghast tears Sparkle colorfully.
	-The glistering melon... well... glistens.

[3.0.6]
-Support added for the animated textures introduced in the lastest MCPatcher.
	-Furnaces now have animated fire with accompanying lighting effects.
	-Soul Sand writhes and has glowing eyes that blink in rhythm.
	-Glowstone twinkles and pulses.
	-Torches, Redstone Torches and Jack O'Lantern flicker a bit.
	-Redstone Ore and Redstone Dust have a slow, pulsing glow.
	-Pistons and Sticky Pistons have Knight Rider-esque pulsing effects on the redstone bits. :P
	-Repeaters have a unidirectional pulse of light inside the stone carvings when active.
	-Wheels on the Powered Rails now spin when activated.
	-Enchantment Tables have glowing magical symbols moving on the tablecloth.
	-Brewing Stands have bubbling liquid in bottles placed on them.
	-Spawners throb between a cooled and heated state.
	-The diamonds on Jukeboxes and Music blocks now give off a decorative and colorful range of light.
-Darkened the Nether Brick texture to make it easily discernable from Netherrack.

[3.0.5]
-The runic enchantment font has been thickened.
-Properties file added for MCPatcher font spacing of the main font.
-Moon phases added. (Old moon no longer appears, but the new ones still have the creeper face.)
-Textures added for all new blocks introduced in 1.9 Pre #4
-Item icons added for all new items introduced in 1.9 Pre #4
-Particle art added for all new particles introduced in 1.9 Pre #4
-Shine spark particle tweaked.
-Re-added fix for green lines that appear on water for some users.

[3.0.4]
-Textures added for all new blocks introduced in 1.9 Pre #3
-Item icons added for all new items introduced in 1.9 Pre #3
-Slimeballs, snowballs, and magma cream have had their size reduced.
-Netherwort icon slightly tweaked
-Particle art added for all new particles introduced in 1.9 Pre #3
-Art files for the Ender portal effects have been added.
-Book art has been added for the enchantment table. (Cheers to whoever catches the reference. :P)
-New Font added for the runic alphabet used by the enchantment table. 
	(The font is a semi-intuitive readable arrangement of runes based on the elder futhark. Just stare at
	it for a minute and you'll be able to read it fluently in no time. The lack of spacing is intentional.
	It makes things slightly more cryptic when characters blend together, but it's all still discernable.)
-Enchant GUI window has been added.
-Brewing Stand GUI window has been added.
-Slightly tweaked Furnace GUI window to better match the flame style to the bubble style on the brewing stand.

[3.0.3]
-Lowered resolution of misc/dial.png to 4x resolution instead of 8x to reduce lag. (8x renamed to ALTdial.png)
-Added a big, ugly, black line to the chest lids to cover up the Z-Fighting due to Notch's modeling incompetence.
-Potion status icons added to inventory.png 
-Textures added for all new blocks introduced in 1.9 Pre #2
-Item icons added for all new items introduced in 1.9 Pre #2
-Placeholder updates to icons.png for 1.9 Pre #2

[3.0.2]
-Glass pane edges thinned a bit.
-Villager skins added for butchers, librarians, priests, smiths, and farmers.
-Old, leaked mycelium texture moved to ALTERNATES.png.
-Mycelium has been tweaked from my leaked texture to be a bit more realistic/moldy and less depressingly gloomy.
-New, requested alternates have been added to ALTERNATES.png (Frame-less Gold and Lapis, vanilla-esque iron bars)
-Particle art added for all new particles introduced in 1.9
-Textures added for all new blocks introduced in 1.9
-Item icons added for all new items introduced in 1.9
-Skin added for Magma Cubes
-Skin added for Blazes
-Skin added for Snow Golems
-Skin added for Mooshrooms.
-Clay in terrain.png and ALTERNATES.png has been mildly tweaked to have a bit more visual difference from gravel.
-Randomobs.properties file has been updated. (Be sure to use my new one.)
-Added Randomobs support for 8 new wolves. (9 total, 24 new skin files)
-Recolored the Endermen to more vanilla colors to match their purple smoke particles.
-Replaced the default biome palette since the 1.7 and earlier palettes do not work well with 1.8. & 1.9
	(This means all 1.7 alt palettes may not look right in the game. Hopefully I'll be able to
	do a better palette once 1.9 comes out and the biomes are a bit more finalized.)
-Added the different sizes of XP Orbs, altered the default one orb art to better match the new system.
-Minor GUI bugfix.
-Flipped the damaged armor icon to be oriented to the left.
-Very minor tweaks to icons.png

[3.0.1]
-Added snouts to all pig skins. (Note that the snouts overlap the old ones for backwards compatibility)
-Re-added the squid skins. (Whoops!)
-Updated Mojang logo to be easier on the eyes while still being close to vanilla.
-Updated mapicons.png to reflect their state in 1.8
-Added the current ALTERNATES.png
-Added a panorama to the title screen based on my old personal world I've had since Infdev.
-Fixed and revised the Silverfish skin.
-Fixed the edges of the Ender Pearl

[3.0]
-Wild Grass support currently disabled.
-Randomobs not fully supported just yet.
-Skins added for the Endermen.
-Skin for Silverfish added.
-Bow and Arrow animation added.
-HUD icons added for the new hunger meter and experience bar.
-HUD art added for the creative mode window.
-Textures added for all new blocks introduced into 1.8
-Item icons added for all new items introduced in 1.8
-Wild Grass Support currently disabled due to changes in 1.8
-Diamond tools made to look slightly more sparkly.
-Iron armor has been altered to make way for the recently added chainmail armor.
-Added biome color palettes for different seasons. Default will be Summer. (Located in the Misc Folder)
-Altered the color of tree leaves and associated biome palettes to have a higher range of color. 
-Added a safety indicator light to the clock. It will glow red when it's dangerous to go outside.
-Greatly enhanced the quality of the clock face. Made it more stylish and easier to read.
-Background.png has been changed to something a bit lighter with some contrast.
-Character faces have had their proportions adjusted to be closer to vanilla and more realistic.
-Armor helmets have been readjusted so they better fit vanilla-proportioned skins.
-Randomobs users, several notable archers have joined the ranks of the rattling undead.
-New more tile-looking lapis lazuli block.
-Netherrack has been reverted to a more cobblestone look.
-The HUD health and armor icons have been tweaked to have more dimension.
-New flowing water. Blends better with still water, flows slower, still as turbulent as before.
-TNT has been colored red to better stand out from things crafted out of wood.
-New Wooden door art. I felt the old one was too sloppy and dirty-looking.
-New Cobblestone and Mossy (Viney?) Cobblestone texture to better fit the new NPC houses.
-New Furnace art to fit new cobblestone. Old art tiles as usual are now in ALTERNATES.png
-The art for minecarts has been cleaned up a bit.
-Pumpkins are now back to their old selves again. :P
-Font's been tweaked slightly to improve the visual differences between the 1, I, and l.
-New redstone dust art to better reflect how redstone currently looks in-game.
-Flipped the shears around so it looks like you're not just bonking things with the blunt edge.
-Various minor item and texture tweaks.

[2.2.1]
-Support for Wild Grass has been re-enabled.
-New mossy cobblestone texture. Old one has been moved to alternates.png.

[2.2]
-Support art added for both varieties of pistons.
-Support art added for shears.
-Support for Wild Grass temporarily removed until ejhopkins can re-assign the texture locations.
-Rounded the snowballs to better fit this icon's double usage as a flaming ghast projectile.
-Few minor tweaks to the looks of some item icons.
-Fixed the upper right corner of the map so the colored area no longer extends off the paper.
-Darkened tall grass to better match WildGrass.
-Trimmed tall grass a bit around the bottom so that it no longer sticks off of the edges of blocks.
-Added missing fishing rod item art. Tweaked existing rod art slightly.
-Revamped the workbench art to better blend with chests for desks. (Try it out![C][WB][C])
-Revamped the chest art slightly. The single chest is now a chest of drawers.
-New alt textures and old textures that have been replaced have been added to ALTERNATES.png.
-Arrows have had all of their art replaced with more realistic versions.

[2.1]
-Added support art and item icon for the new maps.
-Added art for trap doors
-Added art for tall grass and the ferny-looking thing. :P
-Added art for dead shrubs
-Added my old font as an alternate in the font/oldfont directory.
-One or two texture tweaks and tweaks to ALTERNATES.png

[2.0.2]
-Creeper pumpkins have been temporarily changed into watermelons until pumpkins are back in season. :P
-Creeper pumpkin art has been moved to ALTERNATES.png for those who don't like the change.
-Obsidian has been redone to better reflect the look of my shader maps in the default pack.
-New pack.png (I got sick of the creepy, happy Ghast face. :P)
-Custom animated fire has been added to support the feature on the newest MCPatcher.
-New font added. (Give it a shot for awhile before you unleash your "CHANGE BAD" post. :P)
-New alternates added. (Hop on my Tinychat to suggest more.)
-Added support files for Modloader (Ugh.) version of Wild Grass.
-Fixed an issue with the edge of gold bars being the wrong color.
-Grass has been rotated to look better with Better Grass.
-Various other minor texture tweaks.

[2.0.1]
-Fixed the issue with the invisible grass on the sides.
-Added slot.png despite the fact I cannot edit the scrollbar art. :/
-Slightly new creeper skin based on new template I'm using for the randommobs mod.
-Flipped rain. The game was rendering it upside down for some odd reason.
-Minor texture tweaks.

[2.0]
-Faces of each wolf type have been tweaked to better reflect their temperament. (Less scary tamed wolves.)
-The white lines on water have been addressed with a makeshift fix.
-Particles missing from last update (1.4) have been added.
-Support added for the new sidegrass.
-The old default sapling's and sidegrass art have been moved to alternates.png
-New sapling art for all three different sapling types.
-High resolution weather effect art for snow and rain. (No two snowflakes are alike! :P)
-Brand new slime textures to replace my old placeholder slimes.
-Slime balls have been readjusted in hue to match the new slimes.
-HD GUI support added for the Achievements interface.
-Crackling shock effect added. BZZZT!
-Three new textures added for the new minecart tracks.

[1.9.0]
-Art for all three Wolf states added.
-High resolution title art added.
-Items now include art for cookies.
-Support files for vines and various other vegetation in Wild Grass mod now fully supported.
-New ice texture replaces old one that had noticeable tiling issues.
-Removed the background from the Mojang logo to better fit vanilla look.
-Netherrack was changed to the more vanilla-looking viscera texture used in my shader maps.

[1.8.1]
-Redstone components have been redone to better match the limitations of new redstone. (Best I can do for now.)
-Repeaters now have the electronic symbols for resistors and diodes instead of the boring old arrows. :P
-Title Screen added (I may change it in a later update to remove the background)
-New alternates added for easy-to-modify bed and more natural sandstone side textures.

[1.8] 
-New 400% resolution font that resembles vanilla's font, but is much smoother.
-Support for the new painting added.
-Textures and icons added for beds and repeaters.
-Redstone dust has been unfortunately altered in a really bad way. (Nothing I can do to fix this)
-Various textures like wood have been changed a bit to accompany a future release of my shader maps.

[1.7.2]
-Support added for lily pads on the Wild Grass mod.
-Unique texture added for the tops of dispensers and furnaces.
-More alternate resources added for all you pack editors out there.
-Transparency mildly decreased on on animated portals.
-Changes to gravel and clay to differentiate the two, and gravel from stone and sand a bit more.
-Various minor texture tweaks

[1.7.1]
-Custom animated portals are fully supported (...and terribly mesmerising!)
-Glowstone is now closer to the vanilla texture and actually appears to glow now.
-Various dye icons have been changed to better fit the vanilla look and realistic theme.
-ALTERNATES.png added to my pack as a resource for those who manually edit this pack.
-Minor texture and item fixes.

[1.7]
-Colored cloth, lapis lazuli blocks, sandstone, cake, dispenser, pine and birch textures have been added.
-Item sheet edited to include all new items introduced in Beta 1.2.
-Foliage biome colors edited to accomodate new tree types.
-New HD mob skin for Squid. (More resembles an octopus to me...)
-Particle added for eighth-note produced by music blocks.
-Wood made to be slightly grainer.
-Flatter, lighter cobblestone replaces the old standard.
-Iron, Gold, and Diamond blocks retouched to better fit a theme.
-Small weeds added to wheat to give a better visual indicator of readiness for harvest.
-Mob spawner recolored a bit to make it impose its presence.
-Prison-styled iron doors replaced with solid iron door to better fit vanilla theming.
-Furnaces defaulted to block-type construction instead of cobblestone for variety.
-Flattened Minecart track rails with a slight indent to better resemble functional rails.

[1.6.5]
-Now supports really tall grass on the Wild Grass 5.0 mod.

[1.6]
-Support for the Wild Grass mod has been added.
-Fixed stone tools so that they no longer blend in with the UI.
-Lots of alternate resources added to terrain.png
-Shrunk and flattened flowers to better blend with Wild Grass (Old ones have been moved to alternate resources.)
-Smoothed out wooden planks a bit. (The more weathered version is still available in the alternate resources.)
-Bricks have been darkened a bit as they would be in reality due to the firing.
-Various textures like grass and logs have been tweaked to tile better.
-The view from underneath a pumpkin helmet is now slightly less hindering. 
-The nightvision effect from pumpkin helmets has been improved.
-Various minor texture tweaks.

[1.5]
-Watch graphics have been tweaked now that they actually work with the latest MCPatcher.
-Compass has been redone to look better now that the needle works with the latest MCPatcher.
-Fixed the look of some of the tools to fit the materials they're constructed from.
-Swords are a broader category of similarly-constructed weapons. (IE: Wooden swords are now clubs.)
-Increased the resolution of particles and improved the art to better fit the realistic theme.
-Added alternate resources to terrain.png (including betterglass) for those who like to customize their sheet.
-Slowed flowing lava's scrolling speed. (Slightly jerky on one or two frames. Blame math.)
-Tweaked still water animation to ripple slower and display proper surface dynamics.
-Carved pumpkins worn on the head now provide mild nightvision at the cost of visual field of view.
-Some depth has been added to the item slots on the menus to improve looks and make items stand out more.

[1.4.5]
-Animated lava has been greatly improved.

[1.4]
-Liquids have been animated in 64x64! (Be sure to check custom and animated lava and water!)
-Animated liquids have been smoothed out to avoid jarring tiling issues.
-Full biome grass support added. Looks best with BetterGrass.
-The UI has had its item slots addressed. You should be able to see your darker items easier now. :)
-Various minor texture tweaks.

[1.3]
-Water and Lava are unfortunately the default animated textures for now
-Various texture tweaks: cloth, glowing stone, iron ore, and some others.
-A minor bug fix on one of the gui files where transparency wasn't where it should've been.
-New and currently unused resources for portals, liquids, and clocks.
-Very minor tweaks to item icons.

[1.2]
-Quick addition of support for MrMMods SimpleMap + Ambient Occlusion

[1.1]
-High resolution armor and player models. (You need to play offline for the models to work.)
-Higher biome color range for tree foliage.
-Greyer, grittier, gravel.
-Some added depth to ores and various other textures.
-New lattice-free glass.
-A few of the item icons have been tweaked slightly.
-High resolution GUI indicators have been added. (Can't believe I missed these the first time!)

[1.0]
-This pack is 4x resolution (64x64) on nearly everything except for thinks like armor due to limitations and will require the HD texture fix patcher found here
-Currently the armor in this is designed for a female, I plan to release a male version as soon as I catch up on some sleep.
-Pack is fully compatible with current post-Halloween version.